apiVersion: v1
kind: ConfigMap
metadata:
  name: backend-local-deps
  namespace: hotpocket-development
data:
  01-install-extra-deps.sh: |
    #!/usr/bin/env bash
    export PIP_INDEX_URL="https://nexus.bthlabs.pl/repository/pypi/simple/"
    /srv/venv/bin/pip install -r /srv/lib/requirements.txt
  99-collectstatic.sh: |
    #!/usr/bin/env bash
    (
      cd /srv/app;
      ./manage.py collectstatic --no-input
    )
  requirements.txt: |
    hotpocket_bthlabs>=25.10.28
